<?php

/**
 * Prevent Direct Access
 */
defined( 'ABSPATH' ) or die( "Restricted access!" );

/**
 * Register text domain
 */
function albteampiaaa1_textdomain() {
    load_plugin_textdomain( ALBTEAMPIAAA1_TEXT, false, ALBTEAMPIAAA1_DIR . '/languages/' );
}
add_action( 'init', 'albteampiaaa1_textdomain' );

/**
 * Print direct link to plugin admin page
 *
 * Fetches array of links generated by WP Plugin admin page ( Deactivate | Edit )
 * and inserts a link to the plugin admin page
 */
function albteampiaaa1_settings_link( $links ) {
    $page = '<a href="' . admin_url( 'options-general.php?page=' . ALBTEAMPIAAA1_SLUG ) . '">' . __( 'Settings', ALBTEAMPIAAA1_TEXT ) . '</a>';
    array_unshift( $links, $page );
    return $links;
}
add_filter( 'plugin_action_links_' . ALBTEAMPIAAA1_BASE, 'albteampiaaa1_settings_link' );

/**
 * Print additional links to plugin meta row
 */
function albteampiaaa1_plugin_row_meta( $links, $file ) {

    if ( strpos( $file, ALBTEAMPIAAA1_SLUG . '.php' ) !== false ) 

    return $links;
}

/**
 * Register a submenu item in the top-level menu item "Settings"
 */
function albteampiaaa1_register_submenu_page() {

    $page_title  = ALBTEAMPIAAA1_NAME;
    $menu_title  = __( 'Insert Adsense Ads', ALBTEAMPIAAA1_TEXT );
    $capability  = 'manage_options';
    $menu_slug   = ALBTEAMPIAAA1_SLUG;
    $function    = 'albteampiaaa1_render_submenu_page';

    add_options_page( $page_title, $menu_title, $capability, $menu_slug, $function );
}
add_action( 'admin_menu', 'albteampiaaa1_register_submenu_page' );

/**
 * Register settings
 */
function albteampiaaa1_register_settings() {
    register_setting( ALBTEAMPIAAA1_SETTINGS . '_settings_group', ALBTEAMPIAAA1_SETTINGS . '_settings' );
    register_setting( ALBTEAMPIAAA1_SETTINGS . '_settings_group_si', ALBTEAMPIAAA1_SETTINGS . '_service_info' );
}
add_action( 'admin_init', 'albteampiaaa1_register_settings' );

/**
 * Branded footer text on the plugin's settings page
 */
function albteampiaaa1_admin_footer_text() {

    // Get current screen data
    $current_screen = get_current_screen();

    // Return if the page is not a settings page of this plugin
    $settings_page = 'settings_page_' . ALBTEAMPIAAA1_SLUG;
    if ( $settings_page != $current_screen->id ) return;

    // Filter footer text
    function albteampiaaa1_new_admin_footer_text() {
        $year = date('Y');
        return "Copyright &copy; " . $year . " <a href='https://www.mainspot.net/google-adsense-auto-ads/' target='_blank'>Albteam Adsense Auto Ads</a>";
    }
    add_filter( 'admin_footer_text', 'albteampiaaa1_new_admin_footer_text', 11 );
}
add_action( 'current_screen', 'albteampiaaa1_admin_footer_text' );
